Subject: Re: bug#74040: `require-with-check` signals error for `project`

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2024 22:42:16 -0400

> Either patch is fine by me, but having the change more localized is
> certainly nice.

Agreed.

> Do you have any other use case in mind for the new PREFER-NEWER argument
> of `locate-file` than `require-with-check`?  If not, perhaps we should
> avoid making it more complex?

In principle, it's nice to be able to reproduce *exactly* the search
performed by `load` and `require`, but in practice, I don't have any
real use case, no.

I pushed the more localized patch (after fixing it so it actually
works).

        Stefan